package org.mathcs.ibookmark;

/**
 * Activity to hold a 'settings fragment'
 * 
 * @author Bert G. Wachsmuth
 * @version 1.0 (10/2013)
 */
import android.os.Bundle;
import android.preference.PreferenceActivity;
import android.preference.PreferenceManager;

public class SettingsActivity extends PreferenceActivity
{
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		// Adding the preference fragment
        getFragmentManager().beginTransaction()
        	.replace(android.R.id.content, new SettingsFragment())
        	.commit();
        // Set activity title and enable 'up' button 
        setTitle("Preferences");
		getActionBar().setDisplayHomeAsUpEnabled(true);
		
		PreferenceManager.setDefaultValues(this, R.xml.preferences, false);
	}
}